Bug 1283524 - [ALL LANG] Unlocalized strings in Home -> People. [NEEDINFO]
[ALL LANG] Unlocalized strings in Home -> People.
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: DR2
: 6.3.0
Assigned To: Eder Ignatowicz
jsoltes
: Translation
: 1327963 1327965 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 03:35 EST by Lijun Li
Modified: 2016-04-19 09:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mzilak: needinfo? (eignatow)


Attachments (Terms of Use)
Unlocalized strings and dialog in Home -> People (60.43 KB, image/png)
2015-11-19 03:43 EST, Lijun Li
no flags Details
BPMS 6.3.0.ER2 - unlocalized strings in people. (71.22 KB, image/png)
2016-04-05 07:56 EDT, jsoltes
no flags Details
Unlocalized strings in Home->People (64.32 KB, image/png)
2016-04-19 04:34 EDT, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2015-11-19 03:35:17 EST
Description of problem:
All strings/dialog are unlocalized in Home -> People.

Version-Release number of selected component (if applicable):
6.2.0.ER 5

How reproducible:
100%

Steps to Reproduce:
1. Login bpms with no en_US locale.
2. Click Home -> People from top menu bar.
3. Check the page.

Actual results:
All strings/dialog are unlocalized in Home -> People:
x's Profile
Search users:
user login...
User Info
User name: 
E-mail: 
Edit user profile dialog
x's Recent Activities
Connections:
There are no social connections...yet!
Recent Activities:
There are no social events...yet!
(more...)

Expected results:
All the strings/dialog should be localized.

Additional info:
Please see the attached screen-shot.
Comment 2 Lijun Li 2015-11-19 03:43 EST
Created attachment 1096542 [details]
Unlocalized strings and dialog in Home -> People
Comment 3 Lijun Li 2015-11-25 04:50:17 EST
Also the 'People' menu is unlocalized for zh_CN.
Comment 5 Martin Zilak 2016-03-16 11:11:49 EDT
Hello.

I've tried this in 6.3.0.DR2 and in every locale, everything on the "People" page is still in English. But when I looked at the commits, they seemed fine.

This makes me unsure whether we're just missing translations or if this is still unfixed.

Eder, do you know more about this?

Thanks.
Comment 6 jsoltes 2016-04-05 07:56 EDT
Created attachment 1143785 [details]
BPMS 6.3.0.ER2 - unlocalized strings in people.
Comment 7 jsoltes 2016-04-05 07:57:35 EDT
Cannot verify for BPMS 6.3.0.ER2 there are still some strings to localize (see the attachement).
Comment 8 Lijun Li 2016-04-19 04:29:45 EDT
Checked on latest ER3 build, still there are some strings/buttons not localized:
user login...
Edit button
Follow button
Recent Activities
There are no social events...yet!
updated/created/added/edited xxx
Comment 9 Lijun Li 2016-04-19 04:34 EDT
Created attachment 1148402 [details]
Unlocalized strings in Home->People
Comment 10 Lijun Li 2016-04-19 04:39:53 EDT
*** Bug 1327963 has been marked as a duplicate of this bug. ***
Comment 11 Lijun Li 2016-04-19 04:40:27 EDT
*** Bug 1327965 has been marked as a duplicate of this bug. ***
Comment 12 Lijun Li 2016-04-19 04:43:25 EDT
Also the People menu not localized.
Comment 13 Krishna Babu K 2016-04-19 09:15:16 EDT
Issues exist with jboss-bpms-6.3.0 with es_ES, pt_BR and ru_RU locales

es_ES
Search users
User login
User info
Username
Email
Edit button
Connections
There are no social connections...yet!
Recent Activities
There are no social events...yet!

pt_BR
User login
Email
Edit button
Recent Activities
There are no social events...yet!

ru_RU
User login
Edit button
Recent Activities
There are no social events...yet!

Note You need to log in before you can comment on or make changes to this bug.